Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Leap 15.3 en anglais (Lu 757 fois) sujet précédent - sujet suivant

Re : Leap 15.3 en anglais

Répondre #15
salut.
As tu relancé tout de même
/usr/bin/localectl

Re : Leap 15.3 en anglais

Répondre #16
autrefois quand le système était bancal, je lançais un zypper dup(et non up) et ça remettait le système d'aplomb.

Re : Leap 15.3 en anglais

Répondre #17
# /usr/bin/localectl
   System Locale: LANG=fr_FR.UTF-8
       VC Keymap: fr-latin1
      X11 Layout: fr
       X11 Model: pc105
     X11 Options: terminate:ctrl_alt_bksp
C'est fait ....... mais c'est toujours en anglais !!!!

Re : Leap 15.3 en anglais

Répondre #18
# zypper dup
Loading repository data...
Reading installed packages...
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
Computing distribution upgrade...

The following package is going to be upgraded:
  mariadb-errormessages

1 package to upgrade.
Overall download size: 269.5 KiB. Already cached: 0 B. After the operation, additional 221.1 KiB will be used.
Continue? [y/n/v/...? shows all options] (y): y
Retrieving package mariadb-errormessages-10.5.16-150300.3.18.1.noarch                                                        (1/1), 269.5 KiB (  2.6 MiB unpacked)
Retrieving delta: ./noarch/mariadb-errormessages-10.5.15_10.5.16-150300.3.15.1_150300.3.18.1.noarch.drpm, 114.4 KiB
Retrieving: mariadb-errormessages-10.5.15_10.5.16-150300.3.15.1_150300.3.18.1.noarch.drpm .....................................................[done (15.0 KiB/s)]
Applying delta: ./mariadb-errormessages-10.5.15_10.5.16-150300.3.15.1_150300.3.18.1.noarch.drpm ............................................................[done]

Checking for file conflicts: ...[done]
(1/1) Installing: mariadb-errormessages-10.5.16-150300.3.18.1.noarch .......................................................................................[done]
Problem occurred during or after installation or removal of packages:
Failed to cache rpm database (1).
History:
 - 'rpmdb2solv' '-r' '/' '-D' '/usr/lib/sysimage/rpm' '-X' '-p' '/etc/products.d' '/var/cache/zypp/solv/@System/solv' '-o' '/var/cache/zypp/solv/@System/solvUHHAU7'
   error: rpmdb: read: 0x56108c7b38c8, 4096: Input/output error
   error: db4 error(5) from dbcursor->c_get: Input/output error
   rpmdb2solv: inconsistent rpm database, key 991 not found. run 'rpm --rebuilddb' to fix.

Please see the above error message for a hint.
Oups !

Re : Leap 15.3 en anglais

Répondre #19
il te demande de faire rpm --rebuilddb pour régler ce problème mais ça n'a rien à voir avec ton problème de langue apparemment.
Du coup il t'a trouvé un problème et sa solution

Re : Leap 15.3 en anglais

Répondre #20
Je sais qu'on fête aujourd'hui le jubilé de la Reine d'Angleterre, mais est-ce une raison pour que ce matin, à mon réveil, mon Leap 15.3 soit en anglais !! (je crois que j'ai vu passer des "failed" dans des mises à jour, c'est peut-être en rapport). Que faire ?
Je ne veux pas perturber ce qui est en cours, juste indiquer qu'il y a très probablement des traces de cette fameuse mise à jour, à savoir des traces de ce qui n'a pas bien fonctionné.

C'est ici:
/var/log/zypp/log
Accessible en root.

Re : Leap 15.3 en anglais

Répondre #21
tu veux dire /var/log/zypp/history ?
Ce fichier contient plus de 8000 lignes !

Re : Leap 15.3 en anglais

Répondre #22
tu veux dire /var/log/zypp/history ?
Ce fichier contient plus de 8000 lignes !
**  Oui, c'est ce fichier.

Tu peux l'éditer en root avec 'less'
# less /var/log/zypp/history
Une fois ouvert, tu tapes 'G' (la majuscule), tu vas atterrir à la fin du fichier. (si tu veux revenir au début, c'est 'g' - la minuscule)

Ensuite tu remontes ligne par ligne avec flèche-haut/flèche-bas, et page par page avec page-prec/page-suiv.

Chacune des lignes est précédée de la date et de l'heure à laquelle l'enregistrement a eu lieu.
Si tu connais à peu près la date à laquelle tu as eu le problème lors de la mise à jour, tu pourras y trouver tous ce qu'il s'est passé.

** Si c'est trop dur, tu peux aussi partager le fichier history (ce ne sont pas des infos secrètes… le mien fait 4,1M, ce n'est pas énorme), que d'autres puissent y jeter un œil, et t'aider. Par contre, donne une idée de la date de l'update à problème si tu désires partager le fichier history, même si la logique serait une mise à jour pas trop ancienne…

** Quant à "zypper dup", quitte à choisir cette solution (ça marche bien), je passerais directement à Leap 15.4 (elle sort demain officiellement), tant qu'à faire !!

Re : Leap 15.3 en anglais

Répondre #23
sinon,dans yast =>installer logiciels, onglet option ou extra,l'un des deux, on trouve "afficher l'historique" .Là tu as les dates et toutes les majs correspondantes.
EDIT: c'est l'onglet extra

Re : Leap 15.3 en anglais

Répondre #24
as tu regardé dans yast éditeur sysconfig=> system=>environment si tout était ok?


Re : Leap 15.3 en anglais

Répondre #26
BINGO !
Merci Jtro :
La manip salvatrice :
Yast > Mise à jour en ligne > Extras > Afficher l'historique
Quelques carrés rouges sont apparus. J'ai procédé à une mise à jour inconditionnelle, au hasard, sur glibc-locale. Redémarrage. C'est bon, du premier coup !

L'idée de Chumi : snapshots. C'est ce que j'ai fait en premier, mais la mise à jour foireuse était probablement antérieure.
L'autre idée de Jtro : Sysconfig. Je ne vois pas comment repérer une anomalie.
L'idée de Denebe : /var/log/zypp/history. À 24 heures près, on se tape 200 lignes supplémentaires à vérifier. C'est inhumain !

Merci à tous.
Thanks  (Je révise mon anglais en attendant le prochain jubilé)